package Builder;

import java.util.Date;

public class AufgabeBuilder {
    private final int nr;
    private String titel = "";
    private String beschreibung = "";
    private boolean erledigt = false;
    private Date faelligkeit;

    public AufgabeBuilder(int nr) {
        this.nr = nr;
    }

    public AufgabeBuilder setTitel(String titel) {
        this.titel = titel;
        return this;
    }

    public AufgabeBuilder setBeschreibung(String beschreibung) {
        this.beschreibung = beschreibung;
        return this;
    }

    public AufgabeBuilder setErledigt(boolean erledigt) {
        this.erledigt = erledigt;
        return this;
    }

    public AufgabeBuilder setFaelligkeit(Date faelligkeit) {
        this.faelligkeit = faelligkeit;
        return this;
    }

    public Aufgabe build() {
        return new Aufgabe(nr, titel, beschreibung, erledigt, faelligkeit);
    }

}
